opj_tcd_seg Struct Reference

Segment of a code-block. More...

`#include <tcd.h>`

## Data Fields

OPJ_UINT32 | len
OPJ_UINT32 | numpasses
OPJ_UINT32 | real_num_passes
OPJ_UINT32 | maxpasses
OPJ_UINT32 | numnewpasses
OPJ_UINT32 | newlen

## Detailed Description

Segment of a code-block.

A segment represent a number of consecutive coding passes, without termination of MQC or RAW between them.

## Field Documentation

## len

OPJ_UINT32 opj_tcd_seg::len

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_data().

## maxpasses

OPJ_UINT32 opj_tcd_seg::maxpasses

Referenced by opj_t2_init_seg(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## newlen

OPJ_UINT32 opj_tcd_seg::newlen

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## numnewpasses

OPJ_UINT32 opj_tcd_seg::numnewpasses

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## numpasses

OPJ_UINT32 opj_tcd_seg::numpasses

Referenced by opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## real_num_passes

OPJ_UINT32 opj_tcd_seg::real_num_passes

Referenced by opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), and opj_t2_read_packet_data().

The documentation for this struct was generated from the following file:

- tcd.h